Subject: Re: bug#35513: (setq gnus-thread-sort-functions '(gnus-thread-sort-by-number)) seems not to work always.

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 27 Sep 2019 17:13:07 -0700

Uwe Brauer <[email-masked]> writes:

>>>> "LI" == Lars Ingebrigtsen <[email-masked]> writes:
>
>    > Uwe Brauer <[email-masked]> writes:
>    >> So you don't find it annoying and to difficult to implement and maybe
>    >> to debug?
>
>    > I think breaking threads on subject change is a misfeature, so enhancing
>    > that misfeature doesn't seem appropriate.
>
> So you are saying that if I change the subject line in a tread, I should
> not break the thread?
>
> I came to this feature by a recommendation of John Wiley.
>
> If you change the subject, change the thread, for me that looks
> logically, you say, no?

To me, no. I've always felt that threads should be built by reference,
not by subject. To me, reference headers feel like a "real" connection,
vs subject headers, which only happen to coincide.

Obviously this is totally subjective, and I only chime in to say that
other people (me) have a different "logical" interpretation of the
situation. But it's one of those areas of Gnus that everyone will have
different (strongly-held) opinions about.